libmad-devel-0.15.1b-lp150.13.1.x86_64.rpm


Advertisement

Description

libmad-devel - Development package for libmad, an MP3 decoding library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libmad-devel
Package version 0.15.1b
Package release lp150.13.1
Package architecture x86_64
Package type rpm
Installed size 27.17 KB
Download size 15.95 KB
Official Mirror ftp.gwdg.de
This package contains the header files needed to
develop applications with libmad.

Alternatives

Package Version Architecture Repository
libmad-devel-0.15.1b-lp150.9.5.x86_64.rpm 0.15.1b x86_64 VLC
libmad-devel-0.15.1b-lp150.3.1.x86_64.rpm 0.15.1b x86_64 openSUSE Oss
libmad-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libmad0 = 0.15.1b

Provides

Name Value
libmad-devel = 0.15.1b-lp150.13.1
libmad-devel(x86-64) = 0.15.1b-lp150.13.1
mad-devel = 0.15.1b-lp150.13.1
pkgconfig(mad) = 0.15.1b

Obsoletes

Name Value
mad-devel < 0.15.1b-lp150.13.1

Download

Type URL
Binary Package libmad-devel-0.15.1b-lp150.13.1.x86_64.rpm
Source Package libmad-0.15.1b-lp150.13.1.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libmad-devel rpm package:
    # zypper install libmad-devel

Files

Path
/usr/include/mad.h
/usr/lib64/libmad.so
/usr/lib64/pkgconfig/mad.pc

Changelog

2018-02-21 - idonmez@suse.com
- Add frame_length.diff from Debian to fix CVE-2017-8374
bsc#1036967
2017-09-08 - schwab@linux-m68k.org
- libmad-0.15.1b-multiarch.patch: remove, it breaks the installed header
2017-06-22 - mpluskal@suse.com
- Add patches from Fedora:
* Provide-Thumb-2-alternative-code-for-MAD_F_MLN.diff
* libmad.thumb.diff
* libmad-0.15.1b-ppc.patch
* libmad-0.15.1b-multiarch.patch
2017-03-02 - jengelh@inai.de
- Drop --with-pic, this is only for static libs.
- Rectify descriptions for neutrality.
2013-09-15 - scarabeus@opensuse.org
- Fix install stage.
2013-09-15 - scarabeus@opensuse.org
- Fix copy&pasto of wrong dependency
2013-07-05 - scarabeus@opensuse.org
- Depend on proper library, remove needless assignment.
2013-07-05 - scarabeus@opensuse.org
- Use correct group.
2013-07-05 - scarabeus@opensuse.org
- Fixup to adhere openSUSE specfile requirements.
2012-05-15 - seife+obs@b1-systems.com
- fix build on > 12.1 by BuildRequires: autoconf automake libtool
- call autoreconf to rebuild configure from patched configure.ac

See Also

Package Description
libmad0-0.15.1b-lp150.13.1.x86_64.rpm An MPEG audio decoder library
libmatroska-devel-1.4.9-lp150.83.1.x86_64.rpm Library to Deal with Matroska Files
libmatroska6-1.4.9-lp150.83.1.x86_64.rpm Library to Deal with Matroska Files
libmediainfo-devel-18.08.1-lp150.31.1.x86_64.rpm Header files for libmediainfo
libmediainfo0-18.08.1-lp150.31.1.x86_64.rpm Library for supplying technical and tag information about a video or audio file
libmikmod-devel-3.3.7-lp150.54.9.x86_64.rpm Development files for MikMod Sound Library
libmikmod3-3.3.7-lp150.54.9.x86_64.rpm MikMod Sound Library
libmjpegutils-2_0-0-2.0.0-lp150.93.1.x86_64.rpm MJPEG Video Capture and Processing Tools
libmjpegutils-devel-2.0.0-lp150.93.1.x86_64.rpm MJPEG Video Capture and Processing Tools
libmlt++-devel-6.10.0-lp150.111.2.x86_64.rpm Development files for MLT's C++ language API
libmlt++3-6.10.0-lp150.111.2.x86_64.rpm C++ library API for the MLT multimedia framework
libmlt-devel-6.10.0-lp150.111.2.x86_64.rpm Development files for MLT's C language API
libmlt6-6.10.0-lp150.111.2.x86_64.rpm C library API for the MLT multimedia framework
libmlt6-data-6.10.0-lp150.111.2.noarch.rpm Architecture-independent data files for the MLT multimedia framework
libmlt6-modules-6.10.0-lp150.111.2.x86_64.rpm Modules for the MLT multimedia framework
Advertisement
Advertisement